Subject: Re: [PATCH v3 00/12] config-hook cleanups and three small git-hook features

From: Junio C Hamano <[email-masked]>
Date: Wed, 25 Mar 2026 14:17:27 -0700

Adrian Ratiu <[email-masked]> writes:

> Hello everyone,
>
> v3 addresses all the feedback and requests received in v2, many thanks to all
> who contributed.
>
> Let's please stop adding features since this is getting rather big again. :)
> New features can be added in subsequent patches.
>
> This series is mostly for minor cleanups, bug fixes and refactorings + three
> minor feature additions to git-hook, which resulted from review discussions:
>
> 1. The ability to show the config scope (--show-scope).
> 2. The ability to show which hooks are disabled.
> 3. The ability reject unknown hook names with "--allow-unknown-hook-name" as
>    an escape hatch.
>
> The series is based on the master branch.

Replaced the old one, and then rebuilt ar/parallel-hooks on top.
Please sanity-check the latter when I later push out the result of
today's integration.

One thing I noticed a bit annoying was that we have "event_disabled"
boolean in "struct hook", plus a string-list of the same name in
"struct repository", which means "git grep event_disabled" hits
both.  Perhaps the caching "struct string_list event_disabled" can
be renamed to reflect what it is a bit better, like "disabled_events"?